
QGIS Application - Bug report #13294

WMS extent/coordinates wrong on Windows

2015-08-31 09:31 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21352

Description

There is something wrong with the extent/coordinates with QGIS Server WMS on Windows.

Steps:

    -  create a project in WGS84 with the follwoing sample layer

:https://github.com/qgis/QGIS-Web-Client/raw/master/data/HYP_50M_SR_W.tif

    -  configure the project in "OWS properties" where "advertised extent" is only a portion of the above layer

    -  create the connection and add the layer as WMS layer: the layer shows (more or less) 0,0

this used to work as expected in the recent past. Tested on qgis server 2.8.9 and 2.14 development branch and master.

Related issues:

Related to QGIS Application - Bug report # 14589: GetCapabilities gets cached... Closed 2016-03-29

Related to QGIS Application - Bug report # 13762: Error accessing external WM... Closed 2015-11-05

History

#1 - 2015-10-05 04:40 AM - Jürgen Fischer

- Subject changed from QGIS Server WMS extent/coordinates wrong on Windows to WMS extent/coordinates wrong on Windows

#2 - 2016-04-09 08:52 AM - Giovanni Manghi

maybe related to #14589 and #13762

#3 - 2016-07-02 01:17 PM - Giovanni Manghi

- Operating System set to Windows

- Affected QGIS version changed from 2.10.1 to master

- Target version changed from Future Release - High Priority to Version 2.16

Still true.

#4 - 2016-07-02 01:17 PM - Giovanni Manghi

Giovanni Manghi wrote:

Still true.

not related anyway to the "Cannot calculate extent" problem.
#5 - 2017-03-03 04:27 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

works as expected on qgis server 2.18.4
